# Main Fern configuration file
instances:
  - url: privategpt.docs.buildwithfern.com
    custom-domain: docs.privategpt.dev

title: PrivateGPT | Docs

# The tabs definition, in the top left corner
tabs:
  overview:
    display-name: Overview
    icon: "fa-solid fa-home"
  installation:
    display-name: Installation
    icon: "fa-solid fa-download"
  manual:
    display-name: Manual
    icon: "fa-solid fa-book"
  recipes:
    display-name: Recipes
    icon: "fa-solid fa-flask"
  api-reference:
    display-name: API Reference
    icon: "fa-solid fa-file-contract"

# Definition of tabs contents, will be displayed on the left side of the page, below all tabs
navigation:
  # The default tab
  - tab: overview
    layout:
      - section: Welcome
        contents:
          - page: Introduction
            path: ./docs/pages/overview/welcome.mdx
  # How to install privateGPT, with FAQ and troubleshooting
  - tab: installation
    layout:
      - section: Getting started
        contents:
          - page: Main Concepts
            path: ./docs/pages/installation/concepts.mdx
          - page: Installation
            path: ./docs/pages/installation/installation.mdx
  # Manual of privateGPT: how to use it and configure it
  - tab: manual
    layout:
      - section: General configuration
        contents:
          - page: Configuration
            path: ./docs/pages/manual/settings.mdx
      - section: Document management
        contents:
          - page: Ingestion
            path: ./docs/pages/manual/ingestion.mdx
          - page: Deletion
            path: ./docs/pages/manual/ingestion-reset.mdx
      - section: Storage
        contents:
          - page: Vector Stores
            path: ./docs/pages/manual/vectordb.mdx
      - section: Advanced Setup
        contents:
          - page: LLM Backends
            path: ./docs/pages/manual/llms.mdx
      - section: User Interface
        contents:
          - page: User interface (Gradio) Manual
            path: ./docs/pages/manual/ui.mdx
  # Small code snippet or example of usage to help users
  - tab: recipes
    layout:
      - section: Choice of LLM
        contents:
          # TODO: add recipes
          - page: List of LLMs
            path: ./docs/pages/recipes/list-llm.mdx
  # More advanced usage of privateGPT, by API
  - tab: api-reference
    layout:
      - section: Overview
        contents:
          - page : API Reference overview
            path: ./docs/pages/api-reference/api-reference.mdx
          - page: SDKs
            path: ./docs/pages/api-reference/sdks.mdx
      - api: API Reference

# Definition of the navbar, will be displayed in the top right corner.
# `type:primary` is always displayed at the most right side of the navbar
navbar-links:
  - type: secondary
    text: GitHub
    url: "https://github.com/imartinez/privateGPT"
  - type: secondary
    text: Contact us
    url: "mailto:hello@zylon.ai"
  - type: primary
    text: Join the Discord
    url: https://discord.com/invite/bK6mRVpErU

colors:
  accentPrimary:
    dark: "#C6BBFF"
    light: "#756E98"

logo:
  dark: ./docs/assets/logo_light.png
  light: ./docs/assets/logo_dark.png
  height: 50

favicon: ./docs/assets/favicon.ico
